Package ghidra.rmi.trace

# Interface TraceRmi.MethodParameterOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.MethodParameter`, `TraceRmi.MethodParameter.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.MethodParameterOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.Value`
  `getDefaultValue()`
  `.ghidra.rmi.trace.Value default_value = 4;`
  `TraceRmi.ValueOrBuilder`
  `getDefaultValueOrBuilder()`
  `.ghidra.rmi.trace.Value default_value = 4;`
  `String`
  `getDescription()`
  `string description = 6;`
  `com.google.protobuf.ByteString`
  `getDescriptionBytes()`
  `string description = 6;`
  `String`
  `getDisplay()`
  `string display = 5;`
  `com.google.protobuf.ByteString`
  `getDisplayBytes()`
  `string display = 5;`
  `String`
  `getName()`
  `string name = 1;`
  `com.google.protobuf.ByteString`
  `getNameBytes()`
  `string name = 1;`
  `boolean`
  `getRequired()`
  `bool required = 3;`
  `TraceRmi.ValueType`
  `getType()`
  `.ghidra.rmi.trace.ValueType type = 2;`
  `TraceRmi.ValueTypeOrBuilder`
  `getTypeOrBuilder()`
  `.ghidra.rmi.trace.ValueType type = 2;`
  `boolean`
  `hasDefaultValue()`
  `.ghidra.rmi.trace.Value default_value = 4;`
  `boolean`
  `hasType()`
  `.ghidra.rmi.trace.ValueType type = 2;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getName

    String getName()
    `string name = 1;`
    Returns:
      The name.

  - ### getNameBytes

    com.google.protobuf.ByteString getNameBytes()
    `string name = 1;`
    Returns:
      The bytes for name.

  - ### hasType

    boolean hasType()
    `.ghidra.rmi.trace.ValueType type = 2;`
    Returns:
      Whether the type field is set.

  - ### getType

    TraceRmi.ValueType getType()
    `.ghidra.rmi.trace.ValueType type = 2;`
    Returns:
      The type.

  - ### getTypeOrBuilder

    TraceRmi.ValueTypeOrBuilder getTypeOrBuilder()
    `.ghidra.rmi.trace.ValueType type = 2;`

  - ### getRequired

    boolean getRequired()
    `bool required = 3;`
    Returns:
      The required.

  - ### hasDefaultValue

    boolean hasDefaultValue()
    `.ghidra.rmi.trace.Value default_value = 4;`
    Returns:
      Whether the defaultValue field is set.

  - ### getDefaultValue

    TraceRmi.Value getDefaultValue()
    `.ghidra.rmi.trace.Value default_value = 4;`
    Returns:
      The defaultValue.

  - ### getDefaultValueOrBuilder

    TraceRmi.ValueOrBuilder getDefaultValueOrBuilder()
    `.ghidra.rmi.trace.Value default_value = 4;`

  - ### getDisplay

    String getDisplay()
    `string display = 5;`
    Returns:
      The display.

  - ### getDisplayBytes

    com.google.protobuf.ByteString getDisplayBytes()
    `string display = 5;`
    Returns:
      The bytes for display.

  - ### getDescription

    String getDescription()
    `string description = 6;`
    Returns:
      The description.

  - ### getDescriptionBytes

    com.google.protobuf.ByteString getDescriptionBytes()
    `string description = 6;`
    Returns:
      The bytes for description.